<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
	"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper
	namespace="com.xunhong.erp.turbo.biz.infrastructure.mapper.OrderShipMapper">
	<resultMap id="BaseResultMap"
			   type="com.xunhong.erp.turbo.biz.infrastructure.entity.OrderShipDO">
		<result property="orderShipId" column="order_ship_id"/>
		<result property="orderId" column="order_id"/>
		<result property="orderSn" column="order_sn"/>
		<result property="warehouseId" column="warehouse_id"/>
		<result property="warehouseName" column="warehouse_name"/>
		<result property="companyId" column="company_id"/>
		<result property="companyName" column="company_name"/>
		<result property="shippingAddress" column="shipping_address"/>
		<result property="receivingAddress" column="receiving_address"/>
		<result property="shippingDate" column="shipping_date"/>
		<result property="estimatedArrivalDate"
				column="estimated_arrival_date"/>
		<result property="watermelonGrade" column="watermelon_grade"/>
		<result property="farmerInfo" column="farmer_info"/>
		<result property="file" column="file"
				typeHandler="com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler"/>
		<result property="state" column="state"/>
		<result property="type" column="type"/>
		<result property="remark" column="remark"/>
		<result property="createdBy" column="created_by"/>
		<result property="createdByName" column="created_by_name"/>
		<result property="createdAt" column="created_at"/>
		<result property="createdAt" column="created_at"/>
		<result property="updatedAt" column="updated_at"/>
		<result property="isDelete" column="is_delete"/>
		<result property="version" column="version"/>
	</resultMap>
</mapper>
